Vulnerability Name:

CVE-2017-1000048

Assigned:2017-07-10
Published:2017-03-02
Updated:2017-12-30
Summary:the web framework using ljharb's qs module older than v6.3.2, v6.2.3, v6.1.2, and v6.0.4 is vulnerable to a DoS. A malicious user can send a evil request to cause the web framework crash.
CVSS v3 Severity:7.5 High (CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)
6.5 Medium (Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): High
5.3 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)
4.6 Medium (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Low
CVSS v2 Severity:5.0 Medium (CVSS v2 Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Partial
5.0 Medium (CCN CVSS v2 Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Athentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Partial
Vulnerability Type:CWE-20
References:Source: REDHAT
Type: UNKNOWN
RHSA-2017:2672

Source: XF
Type: UNKNOWN
ljharb-qs-cve20171000048-dos(130305)

Source: CONFIRM
Type: VENDOR_ADVISORY
https://github.com/ljharb/qs/issues/200

Vulnerable Configuration:Configuration 1:
  • cpe:/a:qs_project:qs:1.0.0:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:1.0.1:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:1.0.2:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:1.1.0:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:1.2.0:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:1.2.1:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:2.3.1:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:2.3.2:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:2.3.3:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:2.4.0:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:2.4.1:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:2.4.2:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:3.0.0:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:3.1.0:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:4.0.0:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:5.0.0:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:5.1.0:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:5.2.0:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:5.2.1:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:6.0.0:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:6.0.1:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:6.0.2:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:6.0.3:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:6.1.0:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:6.1.1:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:6.2.0:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:6.2.1:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:6.2.2:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:6.3.0:*:*:*:*:*:*:*
  • OR cpe:/a:qs_project:qs:6.3.1:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:com.ubuntu.xenial:def:20171000048000
    V
    CVE-2017-1000048 on Ubuntu 16.04 LTS (xenial) - medium.
    2017-07-17
    oval:com.ubuntu.trusty:def:20171000048000
    V
    CVE-2017-1000048 on Ubuntu 14.04 LTS (trusty) - medium.
    2017-07-17
    BACK
    qs_project qs 1.0.0
    qs_project qs 1.0.1
    qs_project qs 1.0.2
    qs_project qs 1.1.0
    qs_project qs 1.2.0
    qs_project qs 1.2.1
    qs_project qs 2.3.1
    qs_project qs 2.3.2
    qs_project qs 2.3.3
    qs_project qs 2.4.0
    qs_project qs 2.4.1
    qs_project qs 2.4.2
    qs_project qs 3.0.0
    qs_project qs 3.1.0
    qs_project qs 4.0.0
    qs_project qs 5.0.0
    qs_project qs 5.1.0
    qs_project qs 5.2.0
    qs_project qs 5.2.1
    qs_project qs 6.0.0
    qs_project qs 6.0.1
    qs_project qs 6.0.2
    qs_project qs 6.0.3
    qs_project qs 6.1.0
    qs_project qs 6.1.1
    qs_project qs 6.2.0
    qs_project qs 6.2.1
    qs_project qs 6.2.2
    qs_project qs 6.3.0
    qs_project qs 6.3.1